PARTED(8)

BEZEICHNUNG
GNU Parted - ein Programm zur Bearbeitung von Partitionen

ÜBERSICHT
parted [Optionen] [Gerät [Befehl [Optionen…]…]]

BESCHREIBUNG
parted ist ein Programm zum Bearbeiten von Datenträgerpartitionen. Es unterstützt mehrere Formate von Partitionstabellen, einschließlich MS-DOS und GPT. Es ist verwendbar zum Bereitstellen von Platz für neue Betriebssysteme, zum Neuordnen des Plattenplatzes und zum Kopieren von Daten auf neue Festplatten.

Diese Handbuchseite ist eine Kurzbeschreibung von parted. Die vollständige Dokumentation ist im Paket im GNU-Info-Format enthalten.

OPTIONEN

-h, --help
    Hilfe anzeigen

-l, --list
    Partitionslayout auf allen Blockgeräten auflisten

-m, --machine
    Maschinenlesbare Ausgaben anzeigen

-s, --script
    Nie um Eingriff des Benutzers bitten

-v, --version
    Version anzeigen

-a alignment-type, --align alignment-type
    Ausrichtung für neu angelegte Partitionen festlegen. Gültige Ausrichtungstypen sind:

    none
        Die vom jeweiligen Datenträgertyp erlaubte minimale Ausrichtung verwenden.

    cylinder
        Partitionen an Zylindern ausrichten.

    minimal
        Minimale Ausrichtung, wie durch die topologischen Informationen der Platte angegeben. Dies und der Optimalwert verwenden die von der Platte selbst gemeldeten Layout-Informationen zur Ausrichtung der Adressen der logischen Partitionstabelle an den tatsächlichen physischen Blöcken der Platte. Der Minimalwert ist die minimale Ausrichtung, die für die saubere Ausrichtung der Partition an den physischen Blöcken nötig ist, was Einschränkungen der Performance bewirkt.

    optimal
        Optimale Ausrichtung, wie durch die topologischen Informationen der Platte angegeben. Dies bewirkt eine Ausrichtung an einem Vielfachen der physischen Blockgröße in einer Weise, die optimale Performance gewährleistet.

BEFEHLE

[Gerät]
    gibt das zu verwendende Blockgerät an. Wenn nichts angegeben wird, verwendet parted den ersten Block des ersten gefundenen Blockgeräts.

[Befehl [Optionen]]
    gibt den auszuführenden Befehl an. Falls kein Befehl angegeben wird, öffnet parted eine Eingabeaufforderung. Mögliche Befehle sind:

    help [Befehl]
        zeigt eine allgemeine Hilfe an, oder Hilfe zu Befehl, falls angegeben.

    align-check Typ Partition
        Überprüfen, ob die Partition die Ausrichtungsbeschränkungen für Typ erfüllt. Typ ist entweder »minimal« oder »optimal«.

    mklabel Disklabel-Typ
        erstellt ein neues Disklabel (Partitionstabelle) des Typs Disklabel-Typ. Disklabel-Typ sollte »aix«, »amiga«, »bsd«, »dvh«, »gpt«, »loop«, »mac«, »msdos«, »pc98« oder »sun« sein.

    mkpart Partitionstyp [Dateisystemtyp] Beginn Ende
        erstellt eine Partition des Typs Partitionstyp mit dem Dateisystem des Typs Dateisystemtyp (falls angegeben), beginnend bei Beginn und endend bei Ende (per Vorgabe in Megabyte). Partitionstyp sollte »primary«, »logical« oder »extended« sein.

    name Partition Bezeichnung
        Den Namen der Partition als Name festlegen. Diese Option ist nur für Mac-, PC-98- und GPT-Disklabels verfügbar. Der Name kann in Zitatzeichen gesetzt werden, falls notwendig.

    print
        Die Partitionstabelle anzeigen.

    quit
        parted beenden.

    rescue Beginn Ende
        Eine verlorene Partition wiederherstellen, die irgendwo zwischen Beginn und Ende liegt. Falls eine Partition gefunden wird, fragt parted, ob Sie dafür einen Eintrag in der Partitionstabelle erstellen wollen.

    resizepart Partition Ende
        ändert die Ende-Position einer Partition. Beachten Sie, dass dies keine Auswirkungen auf ein eventuell in der Partition befindliches Dateisystem hat.

    rm Partition
        Partition löschen.

    select Gerät
        Gerät als das aktuell zu bearbeitende Gerät wählen. Gerät sollte üblicherweise ein Linux-Festplattengerät sein, kann aber auch eine Partition, ein Software-RAID-Gerät oder ein logischer Datenträger (LVM) sein, falls erforderlich.

    set Partition Flag Status
        ändert den Status von Flag auf Partition in Status. Unterstützte Flags sind: »boot«, »root«, »swap«, »hidden«, »raid«, »lvm«, »lba«, »legacy_boot«, »irst«, »esp« und »palo«. Status sollte entweder »on« oder »off« sein.

    unit Einheit
        legt Einheit als die Einheit für die Anzeige von Positionen und Größen fest, sowie für die Interpretation der Benutzereingaben, wenn der Benutzer keine bestimmte Einheit angibt. Einheit kann »s« (Sektoren), »B« (Byte), »kB«, »MB«, »MiB«, »GB«, »GiB«, »TB«, »TiB«, »%«(Prozentsatz bezogen auf die Gerätegröße), »cyl« (Zylinder), »chs« (Zylinder, Köpfe, Sektoren) oder »compact« sein (Megabyte für die Eingabe, und eine menschenlesbare Form für die Ausgabe).

    toggle Ppartition Flag
        ändert den Status von Flag der Partition.

    version
        Versions- und Copyright-Informationen anzeigen

FEHLER BERICHTEN
Melden Sie Fehler an <bug-parted@gnu.org>.

SIEHE AUCH
fdisk(8), mkfs(8), das Programm parted ist im Handbuch GNU partitioning software im info(1)-Format, das mit dem Parted-Doc-Debian-Paket verteilt wird, vollständig dokumentiert.

AUTOR
Diese Handbuchseite wurde von Timshel Knoll <timshel@debian.org> für das Debian GNU/Linux-System geschrieben (darf aber auch von anderen verwendet werden).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.